# -*- encoding: utf-8 -*-
# stub: github_api 0.14.2 ruby lib

Gem::Specification.new do |s|
  s.name = "github_api"
  s.version = "0.14.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Piotr Murach"]
  s.date = "2016-07-01"
  s.description = " Ruby client that supports all of the GitHub API methods. It's build in a modular way, that is, you can either instantiate the whole api wrapper Github.new or use parts of it e.i. Github::Client::Repos.new if working solely with repositories is your main concern. Intuitive query methods allow you easily call API endpoints. "
  s.email = ""
  s.extra_rdoc_files = ["LICENSE.txt", "README.md"]
  s.files = ["LICENSE.txt", "README.md", "lib/github_api.rb", "lib/github_api/api.rb", "lib/github_api/api/actions.rb", "lib/github_api/api/arguments.rb", "lib/github_api/api/config.rb", "lib/github_api/api/config/property.rb", "lib/github_api/api/config/property_set.rb", "lib/github_api/api/factory.rb", "lib/github_api/authorization.rb", "lib/github_api/client.rb", "lib/github_api/client/activity.rb", "lib/github_api/client/activity/events.rb", "lib/github_api/client/activity/feeds.rb", "lib/github_api/client/activity/notifications.rb", "lib/github_api/client/activity/starring.rb", "lib/github_api/client/activity/watching.rb", "lib/github_api/client/authorizations.rb", "lib/github_api/client/authorizations/app.rb", "lib/github_api/client/emojis.rb", "lib/github_api/client/gists.rb", "lib/github_api/client/gists/comments.rb", "lib/github_api/client/git_data.rb", "lib/github_api/client/git_data/blobs.rb", "lib/github_api/client/git_data/commits.rb", "lib/github_api/client/git_data/references.rb", "lib/github_api/client/git_data/tags.rb", "lib/github_api/client/git_data/trees.rb", "lib/github_api/client/gitignore.rb", "lib/github_api/client/issues.rb", "lib/github_api/client/issues/assignees.rb", "lib/github_api/client/issues/comments.rb", "lib/github_api/client/issues/events.rb", "lib/github_api/client/issues/labels.rb", "lib/github_api/client/issues/milestones.rb", "lib/github_api/client/markdown.rb", "lib/github_api/client/meta.rb", "lib/github_api/client/orgs.rb", "lib/github_api/client/orgs/hooks.rb", "lib/github_api/client/orgs/members.rb", "lib/github_api/client/orgs/memberships.rb", "lib/github_api/client/orgs/teams.rb", "lib/github_api/client/pull_requests.rb", "lib/github_api/client/pull_requests/comments.rb", "lib/github_api/client/repos.rb", "lib/github_api/client/repos/collaborators.rb", "lib/github_api/client/repos/comments.rb", "lib/github_api/client/repos/commits.rb", "lib/github_api/client/repos/contents.rb", "lib/github_api/client/repos/deployments.rb", "lib/github_api/client/repos/downloads.rb", "lib/github_api/client/repos/forks.rb", "lib/github_api/client/repos/hooks.rb", "lib/github_api/client/repos/keys.rb", "lib/github_api/client/repos/merging.rb", "lib/github_api/client/repos/pages.rb", "lib/github_api/client/repos/pub_sub_hubbub.rb", "lib/github_api/client/repos/releases.rb", "lib/github_api/client/repos/releases/assets.rb", "lib/github_api/client/repos/releases/tags.rb", "lib/github_api/client/repos/statistics.rb", "lib/github_api/client/repos/statuses.rb", "lib/github_api/client/say.rb", "lib/github_api/client/scopes.rb", "lib/github_api/client/search.rb", "lib/github_api/client/search/legacy.rb", "lib/github_api/client/users.rb", "lib/github_api/client/users/emails.rb", "lib/github_api/client/users/followers.rb", "lib/github_api/client/users/keys.rb", "lib/github_api/configuration.rb", "lib/github_api/connection.rb", "lib/github_api/constants.rb", "lib/github_api/core_ext/array.rb", "lib/github_api/core_ext/hash.rb", "lib/github_api/core_ext/ordered_hash.rb", "lib/github_api/deprecation.rb", "lib/github_api/error.rb", "lib/github_api/error/bad_request.rb", "lib/github_api/error/client_error.rb", "lib/github_api/error/forbidden.rb", "lib/github_api/error/internal_server_error.rb", "lib/github_api/error/invalid_options.rb", "lib/github_api/error/not_acceptable.rb", "lib/github_api/error/not_found.rb", "lib/github_api/error/required_params.rb", "lib/github_api/error/service_error.rb", "lib/github_api/error/service_unavailable.rb", "lib/github_api/error/unauthorized.rb", "lib/github_api/error/unknown_media.rb", "lib/github_api/error/unknown_value.rb", "lib/github_api/error/unprocessable_entity.rb", "lib/github_api/error/validations.rb", "lib/github_api/ext/faraday.rb", "lib/github_api/middleware.rb", "lib/github_api/mime_type.rb", "lib/github_api/normalizer.rb", "lib/github_api/null_encoder.rb", "lib/github_api/page_iterator.rb", "lib/github_api/page_links.rb", "lib/github_api/paged_request.rb", "lib/github_api/pagination.rb", "lib/github_api/parameter_filter.rb", "lib/github_api/params_hash.rb", "lib/github_api/rate_limit.rb", "lib/github_api/request.rb", "lib/github_api/request/basic_auth.rb", "lib/github_api/request/jsonize.rb", "lib/github_api/request/oauth2.rb", "lib/github_api/request/verbs.rb", "lib/github_api/requestable.rb", "lib/github_api/resource.rb", "lib/github_api/response.rb", "lib/github_api/response/atom_parser.rb", "lib/github_api/response/header.rb", "lib/github_api/response/jsonize.rb", "lib/github_api/response/mashify.rb", "lib/github_api/response/raise_error.rb", "lib/github_api/response/xmlize.rb", "lib/github_api/response_wrapper.rb", "lib/github_api/ssl_certs/cacerts.pem", "lib/github_api/utils/url.rb", "lib/github_api/validations.rb", "lib/github_api/validations/format.rb", "lib/github_api/validations/presence.rb", "lib/github_api/validations/required.rb", "lib/github_api/validations/token.rb", "lib/github_api/version.rb"]
  s.homepage = "http://piotrmurach.github.io/github/"
  s.licenses = ["MIT"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.2")
  s.rubygems_version = "2.5.1"
  s.summary = "Ruby client for the official GitHub API"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<addressable>, ["~> 2.4.0"])
      s.add_runtime_dependency(%q<hashie>, [">= 3.4"])
      s.add_runtime_dependency(%q<faraday>, ["< 0.10", "~> 0.8"])
      s.add_runtime_dependency(%q<oauth2>, [">= 0"])
      s.add_runtime_dependency(%q<descendants_tracker>, ["~> 0.0.4"])
      s.add_development_dependency(%q<bundler>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
    else
      s.add_dependency(%q<addressable>, ["~> 2.4.0"])
      s.add_dependency(%q<hashie>, [">= 3.4"])
      s.add_dependency(%q<faraday>, ["< 0.10", "~> 0.8"])
      s.add_dependency(%q<oauth2>, [">= 0"])
      s.add_dependency(%q<descendants_tracker>, ["~> 0.0.4"])
      s.add_dependency(%q<bundler>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
    end
  else
    s.add_dependency(%q<addressable>, ["~> 2.4.0"])
    s.add_dependency(%q<hashie>, [">= 3.4"])
    s.add_dependency(%q<faraday>, ["< 0.10", "~> 0.8"])
    s.add_dependency(%q<oauth2>, [">= 0"])
    s.add_dependency(%q<descendants_tracker>, ["~> 0.0.4"])
    s.add_dependency(%q<bundler>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
  end
end
